uniform sampler2D uPotionIcon;

varying vec2 vUv;
varying vec3 vPosition;

void main()
{
    float insideColor = step(0.03, abs(distance(vUv, vec2(0.5)) - 0.47));
    float inCircle = 1.0 - step(0.5, length(vPosition.xy));

    vec3 color = texture2D(uPotionIcon, vUv).rgb;// * insideColor;
    float mask = inCircle;

    gl_FragColor = vec4(color, mask);

    #include <tonemapping_fragment>
    #include <colorspace_fragment>
}